org.hibernate.search.backend.spi

## Class LuceneIndexingParameters.ParameterSet

- java.lang.Object
- - org.hibernate.search.backend.spi.LuceneIndexingParameters.ParameterSet

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    LuceneIndexingParameters

      public static class LuceneIndexingParameters.ParameterSet
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterSet(Properties prop)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyToWriter(IndexWriterConfig writerConfig)` Applies the parameters represented by this to a writer.
    `boolean` | `equals(Object obj)`
    `Integer` | `getCurrentValueFor(IndexWriterSetting ws)`
    `LogByteSizeMergePolicy` | `getNewMergePolicy()` Creates a new LogByteSizeMergePolicy as configured by this property set.
    `int` | `hashCode()`
    `void` | `setCurrentValueFor(IndexWriterSetting ws, Integer newValue)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterSet

          public ParameterSet(Properties prop)

  - ### Method Detail

    - #### applyToWriter

          public void applyToWriter(IndexWriterConfig writerConfig)

      Applies the parameters represented by this to a writer. Undefined parameters are not set, leaving the lucene default.
      Parameters:
        `writerConfig` - the IndexWriter configuration whereto the parameters will be applied.

    - #### getNewMergePolicy

          public LogByteSizeMergePolicy getNewMergePolicy()

      Creates a new LogByteSizeMergePolicy as configured by this property set.
      Returns:
        a new LogByteSizeMergePolicy instance.

    - #### getCurrentValueFor

          public Integer getCurrentValueFor(IndexWriterSetting ws)

    - #### setCurrentValueFor

          public void setCurrentValueFor(IndexWriterSetting ws,
                                         Integer newValue)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved